GLOBUS-GRIDFTP-SERVER-SETUP-CHROOT(8)

NAME
globus-gridftp-server-setup-chroot - creates the specific contents of a directory that can specified as a root of the file system tree exposed by the Globus GridFTP server

SYNOPSYS

globus-gridftp-server-setup-chroot [-c certificate_dir] -r chroot_path_to_create

DESCRIPTION

GridFTP server can be configured to restrict access to specific path using the command line option -chroot-path of the globus-gridftp-server command. The specified path will become the new root after authentication.

That path must contain a valid certificate structure, and the files /etc/passwd and /etc/groups.

The command globus-gridftp-server-setup-chroot helps creating such a suitable directory structure.

OPTIONS

-r chroot_path_to_create
    Creates in chroot_path_to_create the directory structure expected by the globus-gridftp-server command, when started with -chroot-path command line option.

-c certificate_dir
    Specifies explicitly the directory from which the certificates will be copied into the directory chroot_path_to_create. The default path is /etc/grid-security/certificates.

AUTHOR

Initiative for Globus in Europe (IGE), http://www.ige-project.eu

COPYRIGHT

Copyright © 2012 Initiative for Globus in Europe (IGE)

SEE ALSO
globus-gridftp-server(8)